import React from "react";
import { StyleProp, ViewStyle, TextStyle } from "react-native";
export interface BasicModalProps {
    title: string;
    description: string;
    isVisible: boolean;
    style?: StyleProp<ViewStyle>;
    modalContainerStyle?: StyleProp<ViewStyle>;
    contentContainerStyle?: StyleProp<ViewStyle>;
    buttonsContainerStyle?: StyleProp<ViewStyle>;
    titleTextStyle?: StyleProp<TextStyle>;
    descriptionTextStyle?: StyleProp<TextStyle>;
    children?: React.ReactNode;
    primaryButtonText?: string;
    secondaryButtonText?: string;
    headerComponent?: React.ReactNode;
    footerComponent?: React.ReactNode;
    onPrimaryButtonPress?: () => void;
    onBackdropPress?: () => void;
    onSecondaryButtonPress?: () => void;
}
declare const BasicModal: React.FC<BasicModalProps>;
export default BasicModal;
