import React from "react";
import { View, Text } from "react-native";
import Modal from "react-native-modal";
/**
 * ? Local Imports
 */
import styles from "./BasicModal.style";
import Button from "../Button/Button";
const BasicModal = ({ title, description, isVisible, style, modalContainerStyle, contentContainerStyle, titleTextStyle, descriptionTextStyle, buttonsContainerStyle, primaryButtonText = "Next", secondaryButtonText = "Skip", headerComponent, footerComponent, children, onBackdropPress, onPrimaryButtonPress, onSecondaryButtonPress, }) => {
    const renderDefaultButtonsContainer = () => {
        return (children || (<View style={[styles.buttonsContainer, buttonsContainerStyle]}>
          <Button text={secondaryButtonText} style={styles.secondaryButtonStyle} onPress={() => onSecondaryButtonPress?.()}/>
          <Button text={primaryButtonText} style={styles.primaryButtonStyle} onPress={() => onPrimaryButtonPress?.()}/>
        </View>));
    };
    const renderContentContainer = () => {
        return (<View style={contentContainerStyle}>
        <Text style={[styles.titleTextStyle, titleTextStyle]}>{title}</Text>
        <Text style={[styles.descriptionTextStyle, descriptionTextStyle]}>
          {description}
        </Text>
      </View>);
    };
    return (<Modal isVisible={isVisible} style={[styles.modalContainer, modalContainerStyle]} onBackdropPress={onBackdropPress}>
      <View style={[styles.container, style]}>
        {headerComponent}
        {renderContentContainer()}
        {footerComponent}
        {renderDefaultButtonsContainer()}
      </View>
    </Modal>);
};
export default BasicModal;
//# sourceMappingURL=BasicModal.js.map